CVE-2018-18445

Name
CVE-2018-18445
Description
In the Linux kernel 4.14.x, 4.15.x, 4.16.x, 4.17.x, and 4.18.x before 4.18.13, faulty computation of numeric bounds in the BPF verifier permits out-of-bounds memory accesses because adjust_scalar_min_max_vals in kernel/bpf/verifier.c mishandles 32-bit right shifts.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Patch https://github.com/torvalds/linux/commit/b799207e1e1816b09e7a5920fbb2d5fcf6edd681
Release Notes https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.18.13
Release Notes https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.75
Issue Tracking https://bugs.chromium.org/p/project-zero/issues/detail?id=1686
Patch http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b799207e1e1816b09e7a5920fbb2d5fcf6edd681
Third Party Advisory https://usn.ubuntu.com/3832-1/
Third Party Advisory https://usn.ubuntu.com/3835-1/
Third Party Advisory https://usn.ubuntu.com/3847-3/
Third Party Advisory https://usn.ubuntu.com/3847-2/
Third Party Advisory https://usn.ubuntu.com/3847-1/
Third Party Advisory https://access.redhat.com/errata/RHSA-2019:0514
Third Party Advisory https://access.redhat.com/errata/RHSA-2019:0512
CONFIRM https://support.f5.com/csp/article/K38456756

Match rules

CPE URI Source package Min version Max version
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* linux_kernel >= 4.14 < 4.14.75
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* linux_kernel >= 4.17 <= 4.17.9
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* linux_kernel >= 4.18 < 4.18.13
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* linux_kernel >= 4.15 <= 4.15.18
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* linux_kernel >= 4.16 <= 4.16.18

Vulnerable and fixed packages

Source package Branch Version Maintainer Status